local modPath = "Traitors"
local TraitorList = import('/mods/'..modPath..'/lua/TraitorsSim.lua').ReturnTraitorArmy();

local oldUnit=Unit
Unit = Class(oldUnit) {
	OnStopBeingBuilt = function(self, builder, layer)
       	oldUnit.OnStopBeingBuilt(self, builder, layer)
		local IsTraitor = false
		for index, army in TraitorList do
			if army == self:GetArmy() then
				IsTraitor = true
			end
		end
  
		if IsTraitor then		
			if EntityCategoryContains(categories.STRUCTURE, self) then
				self:SetVeterancy(5)
			elseif table.getn(TraitorList) == 1 then
				self:SetVeterancy(5)
			elseif table.getn(TraitorList) == 2 then
				self:SetVeterancy(3)
			elseif table.getn(TraitorList) == 3 then
				self:SetVeterancy(2)
			end
		end
    end,
}